Bug 1421

Summary: RT alignment with article view
Product: OJS Reporter: Kevin Jamieson <kevin>
Component: Reading ToolsAssignee: PKP Support <pkp-support>
Status: RESOLVED WONTFIX    
Severity: normal CC: alec, john.willinsky
Priority: P2    
Version: 2.x   
Hardware: All   
OS: All   
Version Reported In: Also Affects:
Bug Depends on: 2757    
Bug Blocks:    

Description Kevin Jamieson 2005-04-14 17:17:26 PDT
The RT frame should probably be left-aligned with the article content frame
(similar to how the RHS bar is on the main site interface), rather than aligned
to the right of the browser window.

This is probably awkward to accomplish with the framed approach (embedding the
two existing frames within a third fixed-width frame comes to mind), so we may
want to put any changes off for now (and potentially consider using a floating
CSS layer instead of frames).
Comment 1 John Willinsky 2005-04-15 06:54:48 PDT
We are following the journal publishing industry standard on this. 
See http://www.jbjs.org.uk/cgi/reprint/87-B/4/458
Highwire Press is using this with their PDFs and not their HTML articles but it seems superier this way 
and that this is the way they will go with both. Notice how ours improves on theirs, or perhaps notice 
how ours can be further improved at some point.
Comment 2 Kevin Jamieson 2005-04-15 09:30:58 PDT
Could you clarify your last comment? I'm not sure what it has to do with this bug
Comment 3 Alec Smecher 2005-04-15 11:24:05 PDT
Hi Kevin,

I'm not sure I understand this request either -- do you mean move the RT frame
to the left of the article frame, or change to a non-framed approach, or
something else?
Comment 4 Kevin Jamieson 2005-04-15 12:26:48 PDT
What I mean is that, ideally, the positioning of the RT menu with respect to the
content frame should be the same as the positioning of the right-hand-side menu
with respect to the content div on the regular site.

I.e., [    Article|RT    ] rather than [   Article   |RT]
Comment 5 John Willinsky 2005-04-15 14:27:10 PDT
Yes, my remark is remarkably irrelevant to this bug and was meant for 1401, where Kevin has found 
another example I'd provided earlier. Apologies.
Comment 6 Ramon Fonseca 2006-04-04 08:01:06 PDT
Dear Fellows,

Prof. Sueli Mara, from USP portcom portal, has detected a few interface
problems. Not critical, but they confuse the user's expectations.

The navigation system remains the same and in the same position, whether you're
in a journal or the portal's main page. Her suggestion is to provide some visual
feedback to demonstrate this change.

The search works differently when in accessing different areas. In the portal it
searches througout the portal, and when in a journal's page it searches only
that journal. I suggest a visual feedback to indicate that the search tool has
changed, or make it work the same all around!
Comment 7 Alec Smecher 2012-09-24 08:43:00 PDT
Obsoleted by removal of reading tools frame.